Subject: RE: issue 11

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Fri, 27 Sep 2002 10:26:04 -0400

My comment was not based on whether its a new or old feature, but whether we
do a proper job of discribing the consequences of this feature. 

My only point is, saying here is the feature but everything else about it is
outside scope, is not a fair thing to do to a reader.

Thats all,

Regards,
Ben

> -----Original Message-----
> From: Sivananda Ramnath - CTD, Chennai. [mailto:[email-masked]]
> Sent: Friday, September 27, 2002 10:23 AM
> To: Abarbanel, Benjamin
> Cc: [email-masked]
> Subject: RE: issue 11
> 
> 
> Hello,
> 
>     If it were something new, then we should not get into it 
> only half-way.
> However, there already is support for this feature amongst 
> router vendors,
> and they should not be considered non-compliant on the basis 
> of this issue.
> 
>     After all, we are only documenting current practice, not 
> standardizing
> on new features (in the base spec).
> 
> Sivanand
> ([email-masked])
> 
> 
> > -----Original Message-----
> > From: Abarbanel, Benjamin [mailto:[email-masked]]
> > Sent: Friday, September 27, 2002 7:47 PM
> > To: 'Jeffrey Haas'; Sivananda Ramnath - CTD, Chennai.
> > Cc: [email-masked]
> > Subject: RE: issue 11
> > 
> > 
> > Another observation to this suggestion. Is, OK they are 
> > telling me that I
> > can
> > do load balancing with BGP routes. Well, fine, what kind of 
> > issues will I
> > encounter with BGP if I do that? The answer to this question 
> > should not be
> > out of scope with the spec.
> > 
> > Impacts to other protocols or the forwarding paradigm can be 
> > out of scope
> > with
> > the spec.
> > 
> > Therefore, if we are prepared to cover the subject well, 
> than add it.
> > Otherwise,
> > lets not go there.
> > 
> > IMHO,
> > Ben
> > 
> > > -----Original Message-----
> > > From: Jeffrey Haas [mailto:[email-masked]]
> > > Sent: Friday, September 27, 2002 9:50 AM
> > > To: Sivananda Ramnath - CTD, Chennai.
> > > Cc: [email-masked]
> > > Subject: Re: issue 11
> > > 
> > > 
> > > On Fri, Sep 27, 2002 at 06:06:22PM +0530, Sivananda Ramnath - 
> > > CTD, Chennai. wrote:
> > > >     There is support in some router vendors to allow more 
> > > than one BGP route
> > > > to be installed, for the purpose for load balancing. Given 
> > > that this is a
> > > > current practice, and seems to be a useful feature as well, 
> > > should we insist
> > > > that only one route be installed in the Loc-RIB ? 
> > > 
> > > When more than one instance is installed in the LocRib, how
> > > many instances are distributed to the Adj-Ribs-Out?  Is it 
> > > deterministic?
> > > Does more than one vendor support this mechanism in an 
> interoperable
> > > fashion?
> > > 
> > > >     I would like to suggest that all sections which use 
> > > MUST in the context
> > > > of only one route in Loc-RIB be relaxed a little to a 
> > > SHOULD, and a section
> > > > added that states that it is possible for a n 
> > > implementation to add more
> > > > than one route to the Loc-RIB for the purposes of load 
> balancing.
> > > 
> > > Is it truly adding more than one route to the LocRib or 
> > just the FIB?
> > > 
> > > -- 
> > > Jeff Haas 
> > > NextHop Technologies
> > > 
> > 
>